<?php
add_action('wpsc_swap_the_template', 'prima_all_products_on_page');
function prima_all_products_on_page(){
	global $wp_query;
	$products_page_id = wpec_get_the_post_id_by_shortcode('[productspage]');
	if( is_tax('product_tag') || is_tax('wpsc_product_category') || $wp_query->query_vars['post_type'] == 'wpsc-product' || isset($wp_query->query_vars['wpsc_product_category']) || ( isset( $wp_query->post ) && $wp_query->post->ID == $products_page_id )){
		if(file_exists(CHILD_DIR.'/products.php')){
			include(CHILD_DIR.'/products.php');
			exit();
		}elseif(file_exists(PARENT_DIR.'/products.php')){
			include(PARENT_DIR.'/products.php');
			exit();		
		}
	}
	elseif ( is_page( wpec_get_the_post_id_by_shortcode('[shoppingcart]') ) ||
		is_page( wpec_get_the_post_id_by_shortcode('[transactionresults]') ) ||
		is_page( wpec_get_the_post_id_by_shortcode('[userlog]') ) ) { 
		if(file_exists(CHILD_DIR.'/checkout.php')){
			include(CHILD_DIR.'/checkout.php');
			exit();
		}elseif(file_exists(PARENT_DIR.'/checkout.php')){
			include(PARENT_DIR.'/checkout.php');
			exit();		
		}
	}
	return;
}

