<div id="footer-top" class="clearfix">

<?php if ( is_active_sidebar( 'blog-footer-top-widget-area' ) ) : ?>
    <div class="footer-top-left col-2">
        <div class="col-wrapper">
            <?php dynamic_sidebar( 'blog-footer-top-widget-area' ); ?>
        </div>
    </div>
<?php else : ?>
    <div id="blog-panel" class="col-2">
        <div class="col-wrapper">
            <h3 class="widget-title"><?php _e( 'Latest News', PRIMA_DOMAIN ); ?></h3>
            <ul class="blog-list">
			<?php $footernews = prima_get_option('footernews') ? (int)prima_get_option('footernews') : '2'; ?>
			<?php query_posts('posts_per_page='.$footernews.'&post_type=post'); ?>
            <?php global $more; $more = 0; ?>
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<?php $postid = get_the_ID(); ?>
                <li class="post">
                    <div class="post-header">
						<?php if ( get_the_post_thumbnail() ) : ?>
                            <a href="<?php the_permalink() ?>" rel="bookmark" class="thumbnail"><?php the_post_thumbnail(); ?></a>
						<?php endif; ?>
                        <h3><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3>
                        <div class="post-meta">
                            <?php flexishop_posted_on(); ?>
                        </div>
                    </div>
                    <div class="post-excerpt">
                        <?php echo the_excerpt();?>
                    </div>
                </li>
			<?php endwhile; endif; ?>
            <?php wp_reset_query(); ?>
            </ul>
        </div>
    </div>
<?php endif; ?>

<div class="footer-top-widgets col-2">
<?php if ( is_active_sidebar( 'first-footer-top-widget-area' ) ) : ?>
    <div class="col-2 col-right">
        <div class="col-wrapper">
            <?php dynamic_sidebar( 'first-footer-top-widget-area' ); ?>
        </div>
    </div>
<?php else : ?>
	<div class="col-2">
		<div class="col-wrapper">
		<h3 class="widget-title"><?php _e( 'Twitter', PRIMA_DOMAIN ); ?></h3>
		<div id="footer-twitter" class="widget-container">
			<?php $twitter = prima_get_option('twitter') ? prima_get_option('twitter') : 'primathemes'; ?>
			<?php $footertweets = prima_get_option('footertweets') ? (int)prima_get_option('footertweets') : '3'; ?>
			<?php
            $twitter_options = array (
                'twitter_id' => $twitter,
                'twitter_number' => $footertweets
            );
			echo '<div id="flexi_twitter">';
			echo '<p class="twitter-message">'.__('Loading tweet...', PRIMA_DOMAIN).'</p>';
			echo '</div>';
            ?>
<script type="text/javascript"><!--
jQuery(document).ready(function($) {
 $('#flexi_twitter').simpleTwitter('<?php echo $twitter_options['twitter_id'];?>', {count: <?php echo $twitter_options['twitter_number'];?>});
});
        //--></script>
        </div>
		</div>
	</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'second-footer-top-widget-area' ) ) : ?>
    <div class="col-2 col-right">
        <div class="col-wrapper">
            <?php dynamic_sidebar( 'second-footer-top-widget-area' ); ?>
        </div>
    </div>
<?php else : ?>
	<div class="col-2 col-right">
		<div class="col-wrapper">
		<h3 class="widget-title"><?php _e( 'Categories', PRIMA_DOMAIN ); ?></h3>
		<div class="widget-container">
		<?php $instance_categories = get_terms( 'wpsc_product_category', 'hide_empty=0&parent=0');
        foreach($instance_categories as $categories){ 
            $term_id = $categories->term_id;
            $term_name = $categories->name;
            ?>
            <div class='categories-group' id='footer_categorisation_group_<?php echo $term_id; ?>'>
                <h4 class='wpsc_category_title'><a href="<?php echo get_term_link( $categories, 'wpsc_product_category' ); ?>"><?php echo $term_name; ?></a></h4>
                    <?php $subcat_args = array( 'taxonomy' => 'wpsc_product_category', 
                    'title_li' => '', 'show_count' => 0, 'hide_empty' => 0, 'echo' => false,
                    'show_option_none' => '', 'depth' => 1, 'child_of' => $term_id ); ?>
                    <?php if(get_option('show_category_count') == 1) $subcat_args['show_count'] = 1; ?>
                    <?php $subcategories = wp_list_categories( $subcat_args ); ?>
                    <?php if ( $subcategories ) { ?>
                    <ul class='wpsc_categories wpsc_top_level_categories'><?php echo $subcategories ?></ul>
                    <?php } ?>
                <div class='clear_category_group'></div>
            </div>
            <?php
        } 
        ?>
        </div>
		</div>
	</div>
<?php endif; ?>

</div><!-- .footer-top-widgets -->

</div><!-- #footer-top -->
