<?php
global $wp_query, $product_page_active, $product_page_width;
$product_page_width = $product_page_width ? $product_page_width : 980;
$flexi_imagecol_width = get_option('single_view_image_width')+10;
$flexi_textcol_width = $product_page_width-$flexi_imagecol_width-30;
$flexi_textcol_width = ($flexi_textcol_width>250) ? $flexi_textcol_width : $product_page_width;
?>

<div id="products_page_container" class="wpsc_container single_container">
<div id="single_product_page_container">
	
<?php if ( $product_page_active ) 
do_action('wpsc_top_of_products_page'); // Plugin hook for adding things to the top of the products page, like the live search ?>
	
<?php while ( wpsc_have_products() ) : wpsc_the_product(); ?>

<div class="single_product_display group">

    <div class="single-imagecol" style="width:<?php echo $flexi_imagecol_width ?>px">
    
        <?php if ( wpsc_the_product_thumbnail() ) : ?>
            <div class="main_image">
            <a rel="prettyPhoto" class="preview_link" href="<?php echo wpsc_the_product_image(); ?>" title="<?php echo str_replace(array(" ", '"',"'", '&quot;','&#039;'), array("_", "", "", "",''), wpsc_the_product_title()); ?>">
                <img class="product_image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo prima_get_image( 0, get_option('single_view_image_width'), get_option('single_view_image_height'), false ); ?>" />
            </a>
            </div>
			<style>
                .main_image img { width: <?php echo get_option('single_view_image_width'); ?>px; }
            </style>
            <?php 
			$thumb_width = get_option('wpsc_gallery_image_width') ? get_option('wpsc_gallery_image_width') : 96;
			$thumb_height = get_option('wpsc_gallery_image_height') ? get_option('wpsc_gallery_image_height') : 96;
			$args = array(
				'post_type' => 'attachment',
				'post_parent' => wpsc_the_product_id(),
				'post_mime_type' => 'image',
				'numberposts' => -1,
				'orderby' => 'menu_order',
				'order' => 'ASC'
			); 
            $attachments = get_posts($args);
            if (count($attachments)>1) {
				echo '<div class="image_thumb"><ul>';
				$main_img_id = get_post_thumbnail_id( wpsc_the_product_id() );
				if ($main_img_id) {
					$get_gallery_img = wp_get_attachment_image_src( $main_img_id, 'large' );
					$gallery_img = $get_gallery_img[0];
					$gallery_thumb = prima_get_image( $main_img_id, get_option('single_view_image_width'), get_option('single_view_image_height'), false );
					echo '<li><a href="'.$gallery_thumb.'" rel="'.$gallery_img.'"><img src="'.$gallery_thumb.'" width="'.$thumb_width.'" height="'.$thumb_height.'" alt="" /></a></li>'; 
				}
				foreach ($attachments as $post) {
					if ( $post->ID == $main_img_id )
						continue; 
                    setup_postdata($post);
					$get_gallery_img = wp_get_attachment_image_src( $post->ID, 'large' );
					$gallery_img = $get_gallery_img[0];
					$gallery_thumb = prima_get_image( $post->ID, get_option('single_view_image_width'), get_option('single_view_image_height'), false );
					echo '<li><a href="'.$gallery_thumb.'" rel="'.$gallery_img.'"><img src="'.$gallery_thumb.'" width="'.$thumb_width.'" height="'.$thumb_height.'" alt="" /></a></li>'; 
                }
                echo '</ul></div>';
            }
			wp_reset_query(); 
			?>
        <?php else: ?>
            <a href="<?php echo wpsc_the_product_permalink(); ?>">
                <img class="no-image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="No Image" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo PRIMA_IMAGES_URL; ?>/noimage.png" width="<?php echo get_option('single_view_image_width'); ?>" height="<?php echo get_option('single_view_image_width'); ?>" />
            </a>
        <?php endif; ?>
        
		<?php if ( !prima_get_option('singlehideprice') ) : ?>
		<?php if(prima_product_on_special()) : ?>
            <span class="sale-icon-single"><?php _e( 'Sale!', PRIMA_DOMAIN ); ?></span>
        <?php endif; ?>
        <?php endif; ?>
         
    </div><!--close single-imagecol-->

    <div class="productcol single-producttext" style="width:<?php echo $flexi_textcol_width ?>px">			

		<?php if ( !prima_get_option('singlehideprice') ) : ?>
        <div class="wpsc_product_price">
            <?php if(!wpsc_product_is_donation()) : ?>
                <?php if(prima_product_on_special()) : ?>
                    <p class="pricedisplay <?php echo wpsc_the_product_id(); ?>"><?php _e('Price', PRIMA_DOMAIN); ?>: <span class="oldprice" id="old_product_price_<?php echo wpsc_the_product_id(); ?>"><?php echo prima_product_normal_price( __('from', PRIMA_DOMAIN ), true ); ?></span></p>
                    <h3 class="sale-price-header"><?php _e( 'On Sale:', PRIMA_DOMAIN ); ?>  
                    <span id="product_price_<?php echo wpsc_the_product_id(); ?>" class="pricedisplay sale-price">
                    <?php echo prima_the_product_price( __('from', PRIMA_DOMAIN ), true ); ?></span>
                    </h3>
                    <p class="pricedisplay product_<?php echo wpsc_the_product_id(); ?>"><?php _e('You save', PRIMA_DOMAIN); ?>: <span class="yousave" id="yousave_<?php echo wpsc_the_product_id(); ?>"><?php echo prima_yousave( 'amount', __('up to', PRIMA_DOMAIN), true ); ?>! (<?php echo prima_yousave( 'percent' ); ?>%)</span></p>
                <?php else : ?>
                    <h3 class=""><?php _e( 'Price:', PRIMA_DOMAIN ); ?> 
                    <span id="product_price_<?php echo wpsc_the_product_id(); ?>" class="pricedisplay">
                    <?php echo prima_the_product_price( __('from', PRIMA_DOMAIN ), true ); ?></span>
                    </h3>
                <?php endif; ?>
                <?php if(prima_product_has_multicurrency()) : ?>
                     <!-- multi currency code -->
                    <?php /* available tags: %country% %isocode% %currency% %symbol% %code% %price% */ ?>
                    <?php echo prima_display_product_multicurrency('%isocode% %symbol% %price%', true); ?>
                <?php endif; ?>
            <?php endif; ?>
        </div><!--close wpsc_product_price -->
		<?php endif; ?>

		<?php if(prima_get_option('singlesku')) : ?>
        <?php if(wpsc_product_sku()) : ?>
        <div class="wpsc_sku">
            <p><?php _e('SKU: ', PRIMA_DOMAIN); echo wpsc_product_sku(); ?>
        </div><!--close wpsc_sku-->
        <?php endif; ?>
        <?php endif; ?>

        <?php do_action('wpsc_product_before_description', wpsc_the_product_id(), $wp_query->post); ?>
        
        <?php if(wpsc_the_product_description()) : ?>
        <div class="wpsc_description">
            <?php echo do_shortcode(wpsc_the_product_description()); ?>
        </div><!--close wpsc_description-->
        <?php endif; ?>

        <?php do_action( 'wpsc_product_addons', wpsc_the_product_id() ); ?>		

        <?php if(wpsc_the_product_additional_description()) : ?>
        <div class="additional_description_container">
            <img class="additional_description_button"  src="<?php echo PRIMA_IMAGES_URL; ?>/icon_window_expand.gif" alt="Additional Description" />
            <a href="<?php echo wpsc_the_product_permalink(); ?>" class="additional_description_link"><?php _e('More Details', PRIMA_DOMAIN); ?></a>
            <div class="additional_description">
                <p><?php echo do_shortcode(wpsc_the_product_additional_description()); ?></p>
            </div><!--close additional_description-->
        </div><!--close additional_description_container-->
        <?php endif; ?>

        <?php do_action( 'wpsc_product_addon_after_descr', wpsc_the_product_id() ); ?>
        
        <?php if (wpsc_have_custom_meta()) : ?>
        <div class="custom_meta">
            <?php while ( wpsc_have_custom_meta() ) : wpsc_the_custom_meta(); ?>
                <strong><?php echo wpsc_custom_meta_name(); ?>: </strong><?php echo wpsc_custom_meta_value(); ?><br />
            <?php endwhile; ?>
        </div><!--close custom_meta-->
        <?php endif; ?>
        
        <form class="product_form" enctype="multipart/form-data" action="<?php echo wpsc_this_page_url(); ?>" method="post" name="1" id="product_<?php echo wpsc_the_product_id(); ?>">
        
		<?php if ( wpsc_product_has_personal_text() ) : ?>
            <fieldset class="custom_text">
                <legend><?php _e( 'Personalize Your Product', PRIMA_DOMAIN ); ?></legend>
                <p><?php _e( 'Complete this form to include a personalized message with your purchase.', PRIMA_DOMAIN ); ?></p>
                <textarea cols='55' rows='5' name="custom_text"></textarea>
            </fieldset>
        <?php endif; ?>
    
        <?php if ( wpsc_product_has_supplied_file() ) : ?>
            <fieldset class="custom_file">
                <legend><?php _e( 'Upload a File', PRIMA_DOMAIN ); ?></legend>
                <p><?php _e( 'Select a file from your computer to include with this purchase.', PRIMA_DOMAIN ); ?></p>
                <input type="file" name="custom_file" />
            </fieldset>
        <?php endif; ?>	
            
        <div class="single-product-meta">
            
            <?php if (wpsc_have_variation_groups()) { ?>
            <div class="wpsc_variation_forms">
                <ul class="variation-groups">
                <?php while (wpsc_have_variation_groups()) : wpsc_the_variation_group(); ?>
                    <li>
                        <label for="<?php echo wpsc_vargrp_form_id(); ?>"><?php echo wpsc_the_vargrp_name(); ?>:</label>
                        <?php /** the variation HTML and loop */?>
                        <select class='wpsc_select_variation' name="variation[<?php echo wpsc_vargrp_id(); ?>]" id="<?php echo wpsc_vargrp_form_id(); ?>">
                        <?php while (wpsc_have_variations()) : wpsc_the_variation(); ?>
                            <option value="<?php echo wpsc_the_variation_id(); ?>" <?php echo wpsc_the_variation_out_of_stock(); ?>><?php echo wpsc_the_variation_name(); ?></option>
                        <?php endwhile; ?>
                        </select> 
                    </li>
                <?php endwhile; ?>
                </ul>
            </div><!--close wpsc_variation_forms-->
            <?php } ?>
            
            <div class="quantity-meta">
                <?php if(wpsc_has_multi_adding()): ?>
                    <fieldset>
                    <label><?php _e('Quantity', PRIMA_DOMAIN); ?>: </label>
                    <span class="wpsc_quantity_update">
                    <input class="flexi_quantity_update" type="text" id="wpsc_quantity_update_<?php echo wpsc_the_product_id(); ?>" name="wpsc_quantity_update" size="2" value="1" />
                    <input type="hidden" name="key" value="<?php echo wpsc_the_cart_item_key(); ?>"/>
                    <input type="hidden" name="wpsc_update_quantity" value="true" />
                    </span><!--close wpsc_quantity_update-->
                    </fieldset>
                <?php endif ;?>
            </div>
            
        </div>

        <div class="wpsc_product_price">
        
            <?php if(wpsc_show_stock_availability()): ?>
                <?php if(wpsc_product_has_stock()) : ?>
                    <div id="stock_display_<?php echo wpsc_the_product_id(); ?>" class="in_stock"><?php _e('Product in stock', PRIMA_DOMAIN); ?></div>
                <?php else: ?>
                    <div id="stock_display_<?php echo wpsc_the_product_id(); ?>" class="out_of_stock"><?php _e('Product not in stock', PRIMA_DOMAIN); ?></div>
                <?php endif; ?>
            <?php endif; ?>	
            
            <?php if(wpsc_product_is_donation()) : ?>
                <label for="donation_price_<?php echo wpsc_the_product_id(); ?>"><?php _e('Donation', PRIMA_DOMAIN); ?>: </label>
                <input type="text" id="donation_price_<?php echo wpsc_the_product_id(); ?>" name="donation_price" value="<?php echo wpsc_calculate_price(wpsc_the_product_id()); ?>" size="6" />
            <?php endif; ?>
        </div><!--close wpsc_product_price-->
            
        <input type="hidden" value="add_to_cart" name="wpsc_ajax_action" />
        <input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id" />					
        
        <?php if( wpsc_product_is_customisable() ) : ?>
            <input type="hidden" value="true" name="is_customisable"/>
        <?php endif; ?>

		<?php if((get_option('hide_addtocart_button') == 0) &&  (get_option('addtocart_or_buynow') !='1')) : ?>
            <?php if(wpsc_product_has_stock()) : ?>
                <div class="wpsc_buy_button_container">
					<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
                        <?php $action = wpsc_product_external_link( wpsc_the_product_id() ); ?>
                        <input class="wpsc_buy_button" type="submit" value="<?php echo wpsc_product_external_link_text( wpsc_the_product_id(), __( 'Buy Now', PRIMA_DOMAIN ) ); ?>" onclick="return gotoexternallink('<?php echo $action; ?>', '<?php echo wpsc_product_external_link_target( wpsc_the_product_id() ); ?>')">
					<?php else: ?>
                        <input type="submit" value="<?php _e('Add To Cart', PRIMA_DOMAIN); ?>" name="Buy" class="wpsc_buy_button" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button"/>
					<?php endif; ?>
                    <div class="wpsc_loading_animation">
                        <img title="Loading" alt="Loading" src="<?php echo wpsc_loading_animation_url(); ?>" />
                        <?php _e('Updating cart...', PRIMA_DOMAIN); ?>
                    </div><!--close wpsc_loading_animation-->
                </div><!--close wpsc_buy_button_container-->
            <?php else : ?>
				<?php if(!wpsc_show_stock_availability()): ?>
                    <p class="soldout"><?php _e('This product has sold out.', PRIMA_DOMAIN); ?></p>
				<?php endif ; ?>
            <?php endif ; ?>
        <?php endif ; ?>
        
		<?php if(!wpsc_product_is_donation() && wpsc_show_pnp()) : ?>
            <h4 class="shipping"><?php _e('Shipping', PRIMA_DOMAIN); ?>:<span class="pp_price"><?php echo wpsc_product_postage_and_packaging(); ?></span></h4>
        <?php endif; ?>							
           
        </form><!--close product_form-->
    
        <?php if ( (get_option( 'hide_addtocart_button' ) == 0 ) && ( get_option( 'addtocart_or_buynow' ) == '1' ) )
        echo wpsc_buy_now_button( wpsc_the_product_id() );  ?>
        
        <?php if(prima_get_option('singleproductcategory'))
		echo get_the_term_list( '', 'wpsc_product_category', '<p>'.__('Product Categories:', PRIMA_DOMAIN).' ', ', ', '</p>' ) ?>
		
        <?php if(prima_get_option('singleproducttag'))
		echo get_the_term_list( '', 'product_tag', '<p>'.__('Product Tags:', PRIMA_DOMAIN).' ', ', ', '</p>' ) ?>
    
    	<?php echo wpsc_product_rater();  ?>

        <?php if ( get_option( 'wpsc_share_this' ) == 1 ): ?>
            <div class="st_sharethis" displayText="ShareThis"></div>
        <?php endif; ?>
        
        <?php if(wpsc_show_fb_like()): ?>
            <div class="FB_like">
            <iframe src="https://www.facebook.com/plugins/like.php?href=<?php echo wpsc_the_product_permalink(); ?>&amp;layout=standard&amp;show_faces=true&amp;width=435&amp;action=like&amp;font=arial&amp;colorscheme=light" frameborder="0"></iframe>
            </div><!--close FB_like-->
        <?php endif; ?>
        
    </div><!--close productcol-->
		
    <form onsubmit="submitform(this);return false;" action="<?php echo wpsc_this_page_url(); ?>" method="post" name="product_<?php echo wpsc_the_product_id(); ?>" id="product_extra_<?php echo wpsc_the_product_id(); ?>">
        <input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="prodid"/>
        <input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="item"/>
    </form>
                    
</div><!--close single_product_display-->
		
<?php echo wpsc_also_bought( wpsc_the_product_id() );  ?>

<?php prima_product_comments(); ?>

<?php endwhile; ?>

<?php if ( $product_page_active ) 
do_action( 'wpsc_theme_footer' ); ?> 	

</div><!--close single_product_page_container-->
</div><!--close products_page_container-->