<?php

/**
 * undocumented
 */
add_action('get_header', 'prima_wpec_scripts_footer');
function prima_wpec_scripts_footer() {
	global $wp_styles, $wpsc_theme_url, $wp_query;
	if ( has_filter( 'wpsc_enqueue_user_script_and_css' ) && apply_filters( 'wpsc_mobile_scripts_css_filters', false ) ) {
		/* nothing here */
	} else {
		$version_identifier = WPSC_VERSION . "." . WPSC_MINOR_VERSION;
		$siteurl = get_option( 'siteurl' );
		wp_deregister_script( 'wp-e-commerce' );
		wp_enqueue_script( 'wp-e-commerce', WPSC_CORE_JS_URL.'/wp-e-commerce.js', array( 'jquery' ), $version_identifier, true );
		wp_deregister_script( 'infieldlabel' );
		wp_enqueue_script( 'infieldlabel', WPSC_CORE_JS_URL.'/jquery.infieldlabel.min.js', array( 'jquery' ), $version_identifier, true );
		wp_deregister_script( 'wp-e-commerce-ajax-legacy' );
		wp_enqueue_script( 'wp-e-commerce-ajax-legacy', WPSC_CORE_JS_URL.'/ajax.js', false, $version_identifier, true );
		// wp_deregister_script( 'wp-e-commerce-dynamic' );
		// wp_enqueue_script( 'wp-e-commerce-dynamic', $siteurl."/index.php?wpsc_user_dynamic_js=true", false, $version_identifier, true );
		wp_deregister_script( 'livequery' );
		wp_enqueue_script( 'livequery', WPSC_URL.'/wpsc-admin/js/jquery.livequery.js', array( 'jquery' ), '1.0.3', true );
		wp_deregister_script( 'jquery-rating' );
		wp_enqueue_script( 'jquery-rating', WPSC_CORE_JS_URL.'/jquery.rating.js', array( 'jquery' ), $version_identifier, true );
		wp_deregister_script( 'wp-e-commerce-legacy' );
		wp_enqueue_script( 'wp-e-commerce-legacy', WPSC_CORE_JS_URL.'/user.js', array( 'jquery' ), $version_identifier, true );
		$lightbox = get_option('wpsc_lightbox', 'thickbox');
		if( $lightbox == 'thickbox' ) {
			wp_deregister_script( 'wpsc-thickbox' );
			wp_enqueue_script( 'wpsc-thickbox',	WPSC_CORE_JS_URL.'/thickbox.js', array( 'jquery' ), 'Instinct_e-commerce', true );
		} elseif( $lightbox == 'colorbox' ) {
			wp_deregister_script( 'colorbox-min' );
			wp_enqueue_script( 'colorbox-min', WPSC_CORE_JS_URL.'/jquery.colorbox-min.js', array( 'jquery' ), 'Instinct_e-commerce', true );
			wp_deregister_script( 'wpsc_colorbox' );
			wp_enqueue_script( 'wpsc_colorbox',	WPSC_CORE_JS_URL.'/wpsc_colorbox.js', array( 'jquery', 'colorbox-min' ), 'Instinct_e-commerce', true );
		}
	}
}

/**
 * undocumented
 */
if ( isset( $_GET['prima_dynamic_scripts'] ) && ($_GET['prima_dynamic_scripts'] == 'true') )
	add_action( "init", 'prima_dynamic_scripts' );
function prima_dynamic_scripts() {
	header( 'Content-Type: text/javascript' );
	header( 'Expires: ' . gmdate( 'r', mktime( 0, 0, 0, date( 'm' ), (date( 'd' ) + 12 ), date( 'Y' ) ) ) . '' );
	header( 'Cache-Control: public, must-revalidate, max-age=86400' );
	header( 'Pragma: public' );
	do_action('prima_scripts');
	exit();
}

/**
 * undocumented
 */
add_action('get_header', 'prima_load_dynamic_scripts', 1001);
function prima_load_dynamic_scripts() {
	$siteurl = get_option( 'siteurl' );
	$version = prima_get_option('datesave') ? '&amp;version='.prima_get_option('datesave') : THEME_VERSION;
	wp_enqueue_script('prima-dynamic-scripts', $siteurl."/index.php?prima_dynamic_scripts=true", array('jquery'), $version, TRUE);
}

/**
 * undocumented
 */
add_action('get_header', 'prima_load_scripts');
function prima_load_scripts() {
	if (is_singular() && get_option('thread_comments') && comments_open())
		wp_enqueue_script('comment-reply');
	wp_enqueue_script('superfish', PRIMA_JS_URL.'/superfish.js', array('jquery'), '1.4.8', TRUE);
	wp_enqueue_script('jquery-easing', PRIMA_JS_URL.'/jquery.easing.1.3.js', array('jquery'), '1.3', TRUE);
	wp_enqueue_script('jquery-bxSlider', PRIMA_JS_URL.'/jquery.bxSlider.min.js', array('jquery'), '3.0', TRUE);
	wp_enqueue_script(PRIMA_DOMAIN, PRIMA_JS_URL.'/flexishop.js', array('jquery'), THEME_VERSION, TRUE);
}

/**
 * undocumented
 */
add_action('get_header', 'prima_load_prettyphoto_scripts');
function prima_load_prettyphoto_scripts() {
	wp_enqueue_script('jquery-prettyPhoto', PRIMA_JS_URL.'/prettyphoto/js/jquery.prettyPhoto.js', array('jquery'), '3.0.1', TRUE);
}

/**
 * undocumented
 */
add_action('prima_scripts', 'prima_dynamic_prettyphoto_scripts');
function prima_dynamic_prettyphoto_scripts() { 
?>
jQuery(document).ready(function($){
    $("a[rel^='prettyPhoto']").prettyPhoto({theme:'light_square'});
});
<?php
}

/**
 * undocumented
 */
add_action('prima_scripts', 'prima_dynamic_checkout_scripts');
function prima_dynamic_checkout_scripts() { 
	$layout = prima_get_option('themelayout');
	$checkoutWidth = ( $layout == "boxed" ) ? '950' : 1010;
?>
jQuery(document).ready(function($) {
    $("a#checkout-next").click(function(){
        $("#shopping-cart-form").fadeIn();
        var checkoutWidth = <?php echo $checkoutWidth; ?>;
        $("#checkout-bar-in").animate({width:'+=50%'});
        $("#checkout-slider").animate({marginLeft:'-=' + checkoutWidth});
    });
    $("a#checkout-back").click(function(){
        $("#shopping-cart-form").fadeOut();
        var checkoutWidth = <?php echo $checkoutWidth; ?>;
        $("#checkout-bar-in").animate({width:'-=50%'});
        $("#checkout-slider").animate({marginLeft:'+=' + checkoutWidth});
    });
});
<?php
}
/**
 * undocumented
 */
add_action('prima_scripts', 'prima_dynamic_slider_scripts');
function prima_dynamic_slider_scripts() { 
	$slidertrans = prima_get_option('slidertrans') ? prima_get_option('slidertrans') : "fade";
	$sliderspeed = prima_get_option('sliderspeed') ? (int)prima_get_option('sliderspeed') : "1500";
	$sliderpause = prima_get_option('sliderpause') ? (int)prima_get_option('sliderpause') : "4000";
	$sliderauto = prima_get_option('sliderauto') ? "true" : "false";
?>
jQuery(document).ready(function($) {
    $('ul.feature-list').bxSlider({
        mode: '<?php echo $slidertrans ?>',
        auto: <?php echo $sliderauto ?>,
        easing: 'jswing',
        autoControls: true,
        autoHover: true,
        pager: true,
        speed: <?php echo $sliderspeed ?>,
        pause: <?php echo $sliderpause ?>,
        controls: true,
        pagerSelector: '#slider-controls'
    });
});
<?php
}
/**
 * undocumented
 */
add_action('prima_scripts', 'prima_dynamic_catslider_scripts');
function prima_dynamic_catslider_scripts() { 
	$catsliderauto = prima_get_option('catsliderauto') ? "true" : "false";
?>
jQuery(document).ready(function($) {
    $('div.slideable div.front-category-slider').bxSlider({
        easing: 'jswing',
        speed: 1500,
        pager: false,
        infiniteLoop: true, 
        pause: 5000,
        autoHover: true,
        auto: <?php echo $catsliderauto ?>
    });
});
<?php
}
/**
 * undocumented
 */
add_action('prima_scripts', 'prima_dynamic_producthover_scripts');
function prima_dynamic_producthover_scripts() { 
	if ( prima_get_option('productsimagehover') == 'readmore' ) :
?>
jQuery(document).ready(function($) {
	$('ul.product-list li div.product-meta').hover(function(){
		$(this).find('img').fadeTo('slow', 0.3);
	},
	function(){
		$(this).find('img').fadeTo('slow', 1);
	});
});
<?php
	endif;
	if ( prima_get_option('productsimagehover') == 'buynow' ) :
?>
jQuery(document).ready(function($) {
    $('ul.product-list li div.product-meta').hover(function(){
        $(this).find('img').fadeTo('slow', 0.3);
        $(this).find('input.wpsc_buy_button').show();
    },
    function(){
        $(this).find('img').fadeTo('slow', 1);
        $(this).find('input.wpsc_buy_button').hide();
    });
});
<?php
	endif;
}
/**
 * undocumented
 */
add_action('prima_scripts', 'prima_dynamic_search_scripts');
function prima_dynamic_search_scripts() { 
?>
jQuery(document).ready(function($) {
	$('input.wpsc_product_search').val("<?php _e('Search Products...',PRIMA_DOMAIN) ?>");
	$('input.wpsc_product_search').click(function(){
		$('input.wpsc_product_search').val("");
	});
});
<?php
}

/**
 * undocumented
 */
add_action('prima_scripts', 'prima_dynamic_cartquantity_scripts');
function prima_dynamic_cartquantity_scripts() { 
?>
jQuery(document).ready(function($) {
	$('input.wpsc_buy_button').click(function(){
        if(jQuery(this).parents('form:first').find('select.wpsc_select_variation[value=0]:first').length)
            return false;
		var cartCount = $('#cart-top a span.cartcount').text();
		var cartInt = parseInt(cartCount);
		var quantity = $(this).parents('#single_product_page_container, table.list_productdisplay td, #products_page_container .productcol').find('input[name="wpsc_quantity_update"]').val();
		var quantity = parseInt(quantity);
		if (quantity > 1)
			cartInt += quantity;
		else
			cartInt++;
		$('#cart-top a span.cartcount').text(cartInt + " <?php _e('items',PRIMA_DOMAIN) ?>");
	});
	$('span.emptycart a').click(function(){
		$('#cart-top a span.cartcount').text("<?php _e('0 items',PRIMA_DOMAIN) ?>");
	});
});
<?php
}
