<?php

/**
 * undocumented
 */
if ( isset( $_GET['prima_dynamic_styles'] ) && ($_GET['prima_dynamic_styles'] == 'true') )
	add_action( "init", 'prima_dynamic_styles' );
function prima_dynamic_styles() {
	header( 'Content-Type: text/css' );
	header( 'Expires: ' . gmdate( 'r', mktime( 0, 0, 0, date( 'm' ), (date( 'd' ) + 12 ), date( 'Y' ) ) ) . '' );
	header( 'Cache-Control: public, must-revalidate, max-age=86400' );
	header( 'Pragma: public' );
	do_action('prima_styles');
	exit();
}
/**
 * undocumented
 */
add_action('wp_head', 'prima_load_dynamic_style', 1001);
function prima_load_dynamic_style() {
	$siteurl = get_option( 'siteurl' );
	$version = prima_get_option('datesave') ? '&amp;version='.prima_get_option('datesave') : '';
	echo "\n".'<link rel="stylesheet" href="'.$siteurl.'/index.php?prima_dynamic_styles=true'.$version.'" type="text/css" media="screen" />';
}
/**
 * undocumented
 */
add_action('wp_head', 'prima_load_stylesheet', 5);
function prima_load_stylesheet() {
	$layout = prima_get_option('themelayout');
	echo '<link rel="stylesheet" href="'.CHILD_URL.'/style.css" type="text/css" media="screen" />'."\n";
	if( $layout && $layout != 'simple')
		echo '<link rel="stylesheet" href="'.CHILD_URL.'/'.$layout.'layout.css" type="text/css" media="screen" />'."\n";
	wp_deregister_style( 'wpsc-theme-css' );
	wp_deregister_style( 'wpsc-theme-css-compatibility' );
	wp_enqueue_style( 'wpsc-theme-css', CHILD_URL . '/wpsc-FlexiShop.css'  );
	wp_enqueue_style( 'wpsc-theme-css-compatibility', CHILD_URL . '/compatibility.css' );
}

/**
 * undocumented
 */
add_action('get_header', 'prima_prettyphoto_styles');
function prima_prettyphoto_styles() {
	wp_enqueue_style( 'jquery.prettyPhoto', PRIMA_JS_URL.'/prettyphoto/css/prettyPhoto.css', false, '3.0.1', 'screen' );
}

add_action('prima_styles', 'prima_design_css_styles');
function prima_design_css_styles() {
	$layout = prima_get_option('themelayout');
	if( $layout )
		require_once( PRIMA_FRONTEND_DIR. '/'.$layout.'layout.php' );
}

add_action('prima_styles', 'prima_custom_css_styles', 1001);
function prima_custom_css_styles() {
	prima_option('customcss');
}

add_action('prima_styles', 'prima_additionaldesign_css_styles');
function prima_additionaldesign_css_styles() {
	$layout = prima_get_option('themelayout');
	$options = get_option(PRIMA_OPTIONS);
	if (prima_get_option('themelayout') == 'boxed') $width = 896;
	else $width = 980;
	$height = prima_get_option('sliderheight') ? prima_get_option('sliderheight') : 375;
	$prodimgwidth = prima_get_option('sliderproductwidth') ? prima_get_option('sliderproductwidth') : 500;
	$prodtextwidth = $width-$prodimgwidth-120;
	echo '#features, ul.feature-list, #boxed #features, #boxed #features .bx-wrapper, #boxed #features .bx-wrapper .bx-window, #boxed #featured-slider ul, #boxed #featured-slider ul li, #full #features, #full ul.feature-list { height: '.$height.'px !important; }';
	echo '#simple div.product-image, #full div.product-image, #boxed div.product-image { top: auto; width: '.$prodimgwidth.'px; margin: 0; padding: 0 60px 0 0 }';
	echo '#simple div.product-content, #full div.product-content, #boxed div.product-content { width: '.$prodtextwidth.'px; margin: 0; padding: 60px 0; }';
	
	if( $options['homepagecatnamehide'] ) {
		echo 'ul.front-category-list li span.category-name { display: none; }';
	}
	if( $options['homepagebestprodhide'] ) {
		echo 'ul.best-seller-list li .producttext h3 a { display: none; }';
	}
	if( $options['homepagelatestprodhide'] ) {
		echo 'ul.latest-product-list li .producttext h3 a { display: none; }';
	}
	if( $options['headermenucol'] && $options['headermenucol'] != '#' ) {
		echo '#header #topnav li a { color:'.$options['headermenucol'].' !important; }';
	}
	if( $options['headermenubghovercol'] && $options['headermenubghovercol'] != '#' ) {
		echo '#header #topnav li a:hover, #header #topnav li li a:hover { background:'.$options['headermenubghovercol'].' !important; }';
	}
	if( $options['headermenuhovercol'] && $options['headermenuhovercol'] != '#' ) {
		echo '#header #topnav li a:hover, #header #topnav li li a:hover { color:'.$options['headermenuhovercol'].' !important; }';
	}
	if( $options['headersubmenubgcol'] && $options['headersubmenubgcol'] != '#' ) {
		echo '#header #topnav li li a { background:'.$options['headersubmenubgcol'].' !important; }';
	}
	if( $options['headersubmenucol'] && $options['headersubmenucol'] != '#' ) {
		echo '#header #topnav li li a { color:'.$options['headersubmenucol'].' !important; }';
	}
	if( $options['headersubmenubordercol'] && $options['headersubmenubordercol'] != '#' ) {
		echo '#header #topnav li li a { border-color:'.$options['headersubmenubordercol'].' !important; }';
	}
	if( $options['topbarbgcol'] && $options['topbarbgcol'] != '#' ) {
		echo '#top-header { background:'.$options['topbarbgcol'].' !important; }';
	}
	if( $options['topbarmenubgcol'] && $options['topbarmenubgcol'] != '#' ) {
		echo '#cart-top, #top-header-nav h4.top-nav-header { background:'.$options['topbarmenubgcol'].' !important; }';
	}
	if( $options['topbarmenucol'] && $options['topbarmenucol'] != '#' ) {
		echo '#cart-top a span.cartcount, #top-header-nav h4.top-nav-header a { color:'.$options['topbarmenucol'].' !important; }';
	}	
	if( $options['topbarcontentbgcol'] && $options['topbarcontentbgcol'] != '#' ) {
		echo '#small-cart, #cart-top:hover, #top-header #header-categories div.header-categories-drop, #top-header-nav h4.top-nav-header:hover { background:'.$options['topbarcontentbgcol'].' !important; }';
		echo '#top-header #header-categories div.header-categories-drop div.categories-group h4 {background:none;}';
	}
	if( $options['topbarcontenttitlecol'] && $options['topbarcontenttitlecol'] != '#' ) {
		echo '#top-header #header-categories div.header-categories-drop div.categories-group h4 a, #top-header-nav #small-cart-header h4, #small-cart th, #top-header-nav #cart-top a, form.wpsc_empty_the_cart { color:'.$options['topbarcontenttitlecol'].' !important; }';
	}	
	if( $options['topbarcontentcol'] && $options['topbarcontentcol'] != '#' ) {
		echo '#top-header #header-categories div.header-categories-drop div.categories-group ul li, #top-header #header-categories div.header-categories-drop div.categories-group ul li a, #small-cart td, #small-cart p.empty, #small-cart span.cart_message { color:'.$options['topbarcontentcol'].' !important; }';
	}	
	if( $options['topbarbordercol'] && $options['topbarbordercol'] != '#' ) {
		echo '#top-header #header-categories div.header-categories-drop div.categories-group, #cart-top, #small-cart #small-cart-header .cart-message, #small-cart p.empty, #cart-top table.shoppingcart, #small-cart th, #small-cart td, #small-cart span.cart_message { border-color:'.$options['topbarbordercol'].' !important; }';
	}	
	if( $options['topbarcountcol'] && $options['topbarcountcol'] != '#' ) {
		echo '#small-cart span.cartcount, #top-header-nav #small-cart a.checkout-link { color:'.$options['topbarcountcol'].' !important; }';
		echo '#top-header-nav #small-cart a.checkout-link { background: none; padding-left: 0; text-decoration: underline; }';
	}	
	if( $options['frontcatsbgcol'] && $options['frontcatsbgcol'] != '#' ) {
		echo '#store-panel div.front-categories h2 { background:'.$options['frontcatsbgcol'].' !important; }';
	}	
	if( $options['frontcatscol'] && $options['frontcatscol'] != '#' ) {
		echo '#store-panel div.front-categories h2 { color:'.$options['frontcatscol'].' !important; }';
	}	
	if( $options['frontcatnamebgcol'] && $options['frontcatnamebgcol'] != '#' ) {
		echo 'ul.front-category-list li span.category-name { background:'.$options['frontcatnamebgcol'].' !important; }';
	}	
	if( $options['frontcatnamecol'] && $options['frontcatnamecol'] != '#' ) {
		echo '#'.$layout.' ul.front-category-list li span.category-name { color:'.$options['frontcatnamecol'].' !important; }';
	}	
	if( $options['frontbestsbgcol'] && $options['frontbestsbgcol'] != '#' ) {
		echo '#store-panel div.best-sellers h2 { background:'.$options['frontbestsbgcol'].' !important; }';
	}	
	if( $options['frontbestscol'] && $options['frontbestscol'] != '#' ) {
		echo '#store-panel div.best-sellers h2 { color:'.$options['frontbestscol'].' !important; }';
	}	
	if( $options['frontbestprodbgcol'] && $options['frontbestprodbgcol'] != '#' ) {
		echo 'ul.best-seller-list li .producttext h3 a { background:'.$options['frontbestprodbgcol'].' !important; }';
	}	
	if( $options['frontbestprodcol'] && $options['frontbestprodcol'] != '#' ) {
		echo '#'.$layout.' ul.best-seller-list li .producttext h3 a { color:'.$options['frontbestprodcol'].' !important; }';
	}	
	if( $options['frontlatestsbgcol'] && $options['frontlatestsbgcol'] != '#' ) {
		echo '#store-panel div.latest-products h2 { background:'.$options['frontlatestsbgcol'].' !important; }';
	}	
	if( $options['frontlatestscol'] && $options['frontlatestscol'] != '#' ) {
		echo '#store-panel div.latest-products h2 { color:'.$options['frontlatestscol'].' !important; }';
	}	
	if( $options['frontlatestprodbgcol'] && $options['frontlatestprodbgcol'] != '#' ) {
		echo 'ul.latest-product-list li .producttext h3 a { background:'.$options['frontlatestprodbgcol'].' !important; }';
	}	
	if( $options['frontlatestprodcol'] && $options['frontlatestprodcol'] != '#' ) {
		echo 'ul.latest-product-list li .producttext h3 a { color:'.$options['frontlatestprodcol'].' !important; }';
	}	
	if( $options['pricedisplaybgcol'] && $options['pricedisplaybgcol'] != '#' ) {
		echo 'li.product-listing div.wpsc_product_price span.pricedisplay { background:'.$options['pricedisplaybgcol'].' !important; }';
	}	
	if( $options['pricedisplaycol'] && $options['pricedisplaycol'] != '#' ) {
		echo 'li.product-listing div.wpsc_product_price span.pricedisplay { color:'.$options['pricedisplaycol'].'; }';
	}	
	if( $options['salepricedisplaycol'] && $options['salepricedisplaycol'] != '#' ) {
		echo 'li.product-listing div.wpsc_product_price span.sale-price { color:'.$options['salepricedisplaycol'].'; }';
	}	
	if( $options['checkouttitlebgcol'] && $options['checkouttitlebgcol'] != '#' ) {
		echo '#shopping-cart h2.review-order, #shopping-cart-form h2.checking-out { background:'.$options['checkouttitlebgcol'].'; }';
	}	
	if( $options['checkouttitlecol'] && $options['checkouttitlecol'] != '#' ) {
		echo '#shopping-cart h2.review-order, #shopping-cart-form h2.checking-out { color:'.$options['checkouttitlecol'].'; }';
	}	
	if( $options['checkoutcol'] && $options['checkoutcol'] != '#' ) {
		echo '#checkout_page_container td, #checkout_page_container .wpsc_shipping_quote_name label, #checkout_page_container .wpsc_shipping_quote_price label, #checkout_page_container .wpsc_shipping_quote_radio label, #checkout_page_container table label { color:'.$options['checkoutcol'].'; }';
	}	
	if( $options['checkoutrowbgcol'] && $options['checkoutrowbgcol'] != '#' ) {
		echo '#checkout_page_container td { background:'.$options['checkoutrowbgcol'].'; }';
	}	
	if( $options['checkoutaltrowbgcol'] && $options['checkoutaltrowbgcol'] != '#' ) {
		echo '#checkout_page_container tr:nth-child(even) td, #checkout_page_container  tr.even td { background:'.$options['checkoutaltrowbgcol'].'; }';
	}	
	if( $options['checkoutbordercol'] && $options['checkoutbordercol'] != '#' ) {
		echo '#checkout_page_container td, #checkout_page_container th { border-color:'.$options['checkoutbordercol'].'; }';
	}	
	if( $options['fancybgcol'] && $options['fancybgcol'] != '#' ) {
		echo '#fancy_notification { background:'.$options['fancybgcol'].' !important; border-color:'.$options['fancybgcol'].' !important; }';
	}	
	if( $options['fancycol'] && $options['fancycol'] != '#' ) {
		echo '#fancy_notification { color:'.$options['fancycol'].' !important; }';
	}	
	if( $options['fancycheckoutcol'] && $options['fancycheckoutcol'] != '#' ) {
		echo '#fancy_notification #fancy_notification_content a.go_to_checkout { color:'.$options['fancycheckoutcol'].' !important; background:none; padding-left:0; }';
	}	
	if( $options['fancycontinuecol'] && $options['fancycontinuecol'] != '#' ) {
		echo '#fancy_notification #fancy_notification_content a.continue_shopping { color:'.$options['fancycontinuecol'].' !important; }';
	}	
}
