<?php
function prima_webfonts() {
$webfonts = array(
		'arial' => array(
			'value' =>	'arial',
			'label' =>  'Arial',
			'type' =>  '',
			'font' =>	'Arial, sans-serif'
		),
		'arialblack' => array(
			'value' =>	'arialblack',
			'label' =>  'Arial Black',
			'type' =>  '',
			'font' =>	'&quot;Arial Black&quot;, sans-serif'
		),
		'calibri' => array(
			'value' =>	'calibri',
			'label' =>  'Calibri*',
			'type' =>  '',
			'font' =>	'Calibri, Candara, Segoe, Optima, sans-serif'
		),
		'geneva' => array(
			'value' =>	'geneva',
			'label' =>  'Geneva*',
			'type' =>  '',
			'font' =>	'Geneva, Tahoma, Verdana, sans-serif'
		),
		'georgia' => array(
			'value' =>	'georgia',
			'label' =>  'Georgia',
			'type' =>  '',
			'font' =>	'Georgia, serif'
		),
		'gillsans' => array(
			'value' =>	'gillsans',
			'label' =>  'Gill Sans*',
			'type' =>  '',
			'font' =>	'"Gill Sans", "Gill Sans MT", Calibri, sans-serif'
		),
		'helvetica' => array(
			'value' =>	'helvetica',
			'label' =>  'Helvetica*',
			'type' =>  '',
			'font' =>	'"Helvetica Neue", Helvetica, sans-serif'
		),
		'impact' => array(
			'value' =>	'impact',
			'label' =>  'Impact',
			'type' =>  '',
			'font' =>	'Impact, Charcoal, sans-serif'
		),
		'lucida' => array(
			'value' =>	'lucida',
			'label' =>  'Lucida',
			'type' =>  '',
			'font' =>	'"Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", sans-serif'
		),
		'myriadpro' => array(
			'value' =>	'myriadpro',
			'label' =>  'Myriad Pro*',
			'type' =>  '',
			'font' =>	'"Myriad Pro", Myriad, sans-serif'
		),
		'palatino' => array(
			'value' =>	'palatino',
			'label' =>  'Palatino',
			'type' =>  '',
			'font' =>	'Palatino, "Palatino Linotype", serif'
		),
		'sans-serif' => array(
			'value' =>	'sans-serif',
			'label' =>  'Sans-Serif',
			'type' =>  '',
			'font' =>	'sans-serif'
		),
		'serif' => array(
			'value' =>	'serif',
			'label' =>  'Serif',
			'type' =>  '',
			'font' =>	'serif'
		),
		'tahoma' => array(
			'value' =>	'tahoma',
			'label' =>  'Tahoma',
			'type' =>  '',
			'font' =>	'Tahoma, Geneva, Verdana, sans-serif'
		),
		'timesnewroman' => array(
			'value' =>	'timesnewroman',
			'label' =>  'Times New Roman',
			'type' =>  '',
			'font' =>	'"Times New Roman", serif'
		),
		'trebuchet' => array(
			'value' =>	'trebuchet',
			'label' =>  'Trebuchet',
			'type' =>  '',
			'font' =>	'Verdana, Geneva, sans-serif'
		),
		'verdana' => array(
			'value' =>	'verdana',
			'label' =>  'Verdana',
			'type' =>  '',
			'font' =>	'Verdana, Geneva, sans-serif'
		)
	);
	return apply_filters('prima_webfonts', $webfonts);
}
function prima_customfonts() {
	$customfonts = array(
		'leaguegothic' => array(
			'value' =>	'leaguegothic',
			'label' =>  'League Gothic',
			'type' =>  'custom',
			'css' => 'leaguegothic.css',
			'font' =>	'LeagueGothicRegular'
		),
		'museosans' => array(
			'value' =>	'museosans',
			'label' =>  'Museo Sans',
			'type' =>  'custom',
			'css' => 'museosans.css',
			'font' =>	'MuseoSans500'
		),
		'museoslab' => array(
			'value' =>	'museoslab',
			'label' =>  'Museo Slab',
			'type' =>  'custom',
			'css' => 'museoslab.css',
			'font' =>	'MuseoSlab500'
		)
	);
	return apply_filters('prima_customfonts', $customfonts);
}
function prima_googlefonts() {
	$googlefonts = array(
		'cantarell' => array(
			'value' =>	'cantarell',
			'label' =>  'Cantarell',
			'type' =>  'google',
			'font' =>	'Cantarell'
		),
		'cardo' => array(
			'value' =>	'cardo',
			'label' =>  'Cardo',
			'type' =>  'google',
			'font' =>	'Cardo'
		),
		'crimsontext' => array(
			'value' =>	'crimsontext',
			'label' =>  'Crimson Text',
			'type' =>  'google',
			'font' =>	'Crimson Text'
		),
		'cuprum' => array(
			'value' =>	'cuprum',
			'label' =>  'Cuprum',
			'type' =>  'google',
			'font' =>	'Cuprum'
		),
		'droidsans' => array(
			'value' =>	'droidsans',
			'label' =>  'Droid Sans',
			'type' =>  'google',
			'font' =>	'Droid Sans'
		),
		'droidsansmono' => array(
			'value' =>	'droidsansmono',
			'label' =>  'Droid Sans Mono',
			'type' =>  'google',
			'font' =>	'Droid Sans Mono'
		),
		'droidserif' => array(
			'value' =>	'droidserif',
			'label' =>  'Droid Serif',
			'type' =>  'google',
			'font' =>	'Droid Serif'
		),
		'imfell' => array(
			'value' =>	'imfell',
			'label' =>  'IM Fell DW Pica',
			'type' =>  'google',
			'font' =>	'IM Fell DW Pica'
		),
		'inconsolata' => array(
			'value' =>	'inconsolata',
			'label' =>  'Inconsolata',
			'type' =>  'google',
			'font' =>	'Inconsolata'
		),
		'josefin' => array(
			'value' =>	'josefin',
			'label' =>  'Josefin Sans Std Light',
			'type' =>  'google',
			'font' =>	'Josefin Sans Std Light'
		),
		'lobster' => array(
			'value' =>	'lobster',
			'label' =>  'Lobster',
			'type' =>  'google',
			'font' =>	'Lobster'
		),
		'molengo' => array(
			'value' =>	'molengo',
			'label' =>  'Molengo',
			'type' =>  'google',
			'font' =>	'Molengo'
		),
		'neucha' => array(
			'value' =>	'neucha',
			'label' =>  'Neucha',
			'type' =>  'google',
			'font' =>	'Neucha'
		),
		'neuton' => array(
			'value' =>	'neuton',
			'label' =>  'Neuton',
			'type' =>  'google',
			'font' =>	'Neuton'
		),
		'nobile' => array(
			'value' =>	'nobile',
			'label' =>  'Nobile',
			'type' =>  'google',
			'font' =>	'Nobile'
		),
		'oflsorts' => array(
			'value' =>	'oflsorts',
			'label' =>  'OFL Sorts Mill Goudy TT',
			'type' =>  'google',
			'font' =>	'OFL Sorts Mill Goudy TT'
		),
		'oldstandard' => array(
			'value' =>	'oldstandard',
			'label' =>  'Old Standard TT',
			'type' =>  'google',
			'font' =>	'Old Standard TT'
		),
		'ptsans' => array(
			'value' =>	'ptsans',
			'label' =>  'PT Sans',
			'type' =>  'google',
			'font' =>	'PT Sans'
		),
		'philosopher' => array(
			'value' =>	'philosopher',
			'label' =>  'Philosopher',
			'type' =>  'google',
			'font' =>	'Philosopher'
		),
		'reeniebeanie' => array(
			'value' =>	'reeniebeanie',
			'label' =>  'Reenie Beanie',
			'type' =>  'google',
			'font' =>	'Reenie Beanie'
		),
		'tangerine' => array(
			'value' =>	'tangerine',
			'label' =>  'Tangerine',
			'type' =>  'google',
			'font' =>	'Tangerine'
		),
		'vollkorn' => array(
			'value' =>	'vollkorn',
			'label' =>  'Vollkorn',
			'type' =>  'google',
			'font' =>	'Vollkorn'
		),
		'yanone' => array(
			'value' =>	'yanone',
			'label' =>  'Yanone Kaffeesatz',
			'type' =>  'google',
			'font' =>	'Yanone Kaffeesatz'
		)
	);
	return apply_filters('prima_googlefonts', $googlefonts);
}
