<div class="best-sellers front-panel clearfix">
    <h2><?php _e( 'Best Sellers', PRIMA_DOMAIN ); ?></h2>
	<?php global $wpdb;
    $sql = "select prodid, count(prodid) as prodnum from " . $wpdb->prefix. "wpsc_cart_contents group by prodid order by prodnum desc";
    $best_sellers = $wpdb->get_results($sql,ARRAY_A); ?>
    <?php if ($best_sellers) : $i=0; ?>
    <ul class='best-seller-list'>
    <?php 
	foreach((array)$best_sellers as $best_seller) {
		$prodid = $best_seller['prodid'];
		$post_type = get_post_field( 'post_type', $prodid );
		if( ($post_type=='wpsc-product') && ($i<5) ) {
			if(prima_get_option('themelayout') == 'boxed'):
				$width = 174;
				$height = 174;
				$thumbnail = wpsc_the_product_thumbnail($width,$height,$prodid);
			else:
				$width = 186;
				$height = 186;
				$thumbnail = wpsc_the_product_thumbnail($width,$height,$prodid);
			endif;
			if(!$thumbnail) $image = " no-image"; else $image = " yes-image";
			$thumbnail = $thumbnail ? $thumbnail : PRIMA_IMAGES_URL.'/noimage.png';
			if($i==4) $rightCol = " col-right";
			echo "<li class='best-seller" . $image . $rightCol . "'>";
			$price =  get_product_meta( $prodid, 'price', true );
			$special_price = get_product_meta( $prodid, 'special_price', true );
			if ( ($special_price > 0) && (($price - $special_price) > 0) ) echo '<span class="sale-icon">'.__( 'Sale!', PRIMA_DOMAIN ).'</span>';
			$post_parent = get_post_field( 'post_parent', $prodid );
			$linkid = $post_parent ? $post_parent : $prodid;
			echo "<div class='padding'>";
			echo '<div class="imagecol"><a href="'.get_permalink($linkid). '">';
			echo '<img src="'.$thumbnail.'" title="'.get_the_title($prodid).'" alt="'.get_the_title($prodid).'" width="'.$width.'" height="'.$height.'" />';
			echo '</a></div>';
			echo "<div class='producttext'><h3><a href='" . get_permalink($linkid) . "'>" . get_the_title($prodid) . "</a></h3></div>";
			echo "</div></li>";  				  	
			$i++; 
		}
	} 
	?>
    </ul>
    <?php endif; ?>
</div>
