jQuery(document).ready(function($) {
	$('a.large-blog-image, a.category-thumbnail img, li.latest-product div.padding').hover(function(){
		$(this).fadeTo('slow', 0.5);
	},
	function(){
		$(this).fadeTo('slow', 1);
	});
	$('li.feature').hover(function(){
		$(this).find('div.feature-post-wrapper').slideDown();
	},
	function(){
		$(this).find('div.feature-post-wrapper').slideUp();
	});
	var maxWidth=860;
	var nCatGroups=$("div.header-categories-drop").children().size();
	var theDiv="div.header-categories-drop div.categories-group";
	var catWidth=$(theDiv).width();
	if ( catWidth == 0 ) catWidth = 180;
	catWidth+=parseInt($(theDiv).css("paddingLeft"))+parseInt($(theDiv).css("paddingRight"));
	catWidth+=parseInt($(theDiv).css("borderLeftWidth"))+parseInt($(theDiv).css("marginLeft"));
	var outerCatWidth=parseInt($(theDiv).css("borderRightWidth"))+parseInt($(theDiv).css("marginRight"));
	var dropWidth=(catWidth+outerCatWidth)*nCatGroups;
	if(dropWidth>maxWidth){
		var nCatPerRow=parseInt(maxWidth/(catWidth+outerCatWidth));
		dropWidth=nCatPerRow*(catWidth+outerCatWidth)-outerCatWidth;
		$(theDiv).each(function(i){
			if(i%nCatPerRow==nCatPerRow-1){$(this).addClass("last");};
			if(i%nCatPerRow==0){$(this).css("clear","both");};
		});
	}
	else{
		dropWidth=dropWidth-outerCatWidth;
	}
	$("div.header-categories-drop").width(dropWidth);
	$("div.header-categories-drop div.categories-group:last").addClass("last");
});
jQuery(document).ready(function($) {
	var mainRel = $(".main_image a").attr('href');
 	$(".image_thumb ul li:first a").attr({ rel: mainRel});
	//Show Banner
	$(".main_image .block").animate({ opacity: 0.85 }, 1 ); //Set Opacity
 
	//Click and Hover events for thumbnail list
	$(".image_thumb ul li:first").addClass('active'); 
	$(".image_thumb ul li").click(function(){ 
		//Set Variables
		var imgAlt = $(this).find('img').attr("alt"); //Get Alt Tag of Image
		var imgTitle = $(this).find('a').attr("href"); //Get Main Image URL
		var imgRel = $(this).find('a').attr("rel");
		if ($(this).is(".active")) {  //If it's already active, then...
			return false; // Don't click through
		} else {
			//Animate the Teaser
			  var img = new Image();
			  $(img).load(function () {   
			      $(this).hide();
			      $(".main_image img").fadeOut();
			      $(".main_image a").html(this);
			      $(".main_image a").attr({ href: imgRel});
			      $(".main_image img").fadeIn();
			  }).attr({ src: imgTitle , alt: imgAlt});	
			// when the DOM is ready
			  		
		}
		
		$(".image_thumb ul li").removeClass('active'); //Remove class of 'active' on all lists
		$(this).addClass('active');  //add class of 'active' on this list only
		return false;
		
	}) .hover(function(){
		$(this).addClass('hover');
		}, function() {
		$(this).removeClass('hover');
	});
			
	//Toggle Teaser
	$("a.collapse").click(function(){
		$(".main_image .block").slideToggle();
		$("a.collapse").toggleClass("show");
	});
	
	//Enable thickbox
});//Close Function

/* http://blog.gate-advertising.com/post/2011/02/20/Simple-jQuery-twitter-widget.aspx */
(function ($) {
    $.fn.simpleTwitter = function (user, options) {
        var defaultOptions = { count: '1' }
        var options = $.extend(defaultOptions, options);
        var url = "http://twitter.com/status/user_timeline/" + user + ".json?count=" + options.count + "&callback=?";
        var obj = this;
        String.prototype.convertToLink = function () {
            return this.replace(/[A-Za-z]+:\/\/[A-Za-z0-9-_]+\.[A-Za-z0-9-_:%&\?\/.=]+/, function (str) {
                return str.link(str);
            });
        };
        String.prototype.format = function () {
            var str = this;
            for (arg in arguments) { str = str.replace("{" + arg + "}", arguments[arg]); }
            return str;
        };
        String.prototype.convertAtToLink = function () {
            return this.replace(/\@[A-Za-z0-9]*/, function (str) {
                var link = "http://twitter.com/{0}";
                link = link.format(str.substr(1));
                var rstr = '<a href="{0}">{1}</a>';
                return rstr.format(link, str);
            });
        };
        String.prototype.formatDate = function () {
			return this.replace(/^([a-z]{3})( [a-z]{3} \d\d?)(.*)( \d{4})$/i, '$1,$2$4$3');
        };
        String.prototype.formatTimeStamp = function () {
            var timeStamp = this;
			var now = new Date();
			var diff = parseInt((now.getTime() - Date.parse(timeStamp)) / 1000);
			var tweetTimestamp = '';
			if (diff < 60) { tweetTimestamp += diff + ' second' + (diff == 1 ? '' : 's') + ' ago'; }
			else if (diff < 3600) { var t = parseInt((diff + 30) / 60); tweetTimestamp += t + ' minute' + (t == 1 ? '' : 's') + ' ago'; }
			else if (diff < 86400) { var t = parseInt((diff + 1800) / 3600); tweetTimestamp += t + ' hour' + (t == 1 ? '' : 's') + ' ago'; }
			else { 
				var d = new Date(timeStamp); var period = 'AM'; var hours = d.getHours();
				if (hours > 12) { hours -= 12; period = 'PM'; }
				var mins = d.getMinutes();
				var minutes = (mins < 10 ? '0' : '') + mins;
				/* var monthName = [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ]; */
				/* tweetTimestamp += monthName[d.getMonth()] + ' ' + d.getDate(); */
				/* if (d.getFullYear() < now.getFullYear()) {tweetTimestamp += ', ' + d.getFullYear(); } */
				var t = parseInt((diff + 43200) / 86400);
				tweetTimestamp += t + ' day' + (t == 1 ? '' : 's') + ' ago';
			}
			return tweetTimestamp;
        };
        if (user) {
            return obj.each(function () {
                $.getJSON(url, function (data) {
					obj.empty();
                    $.each(data, function (i, item) {
                        obj.append("<p class=\"twitter-message\">" + item.text.convertToLink().convertAtToLink() + "<br/><small>" + item.created_at.formatDate().formatTimeStamp() + "</small></p>");
                    });
                });
            });
        }
    };
})(jQuery);
