<?php
global $wp_query, $product_page_width, $product_sidebar, $product_sidebar_width;
$product_sidebar = false;
if (prima_get_option('themelayout') == 'boxed') { $product_page_width = 665; }
else { $product_page_width = 720; }

get_header(); ?>

<div id="header-wrapper">
	<?php get_template_part( 'flexi-header' ); ?>
    <div id="leader" class="container">
        <div class="margin clearfix">
        	<?php $post_id = $wp_query->get_queried_object_id();
			$title = get_post_field( 'post_title', $post_id ); ?>
            <h1><?php echo $title; ?></h1>
        </div>
    </div>
</div>

<div id="content-wrapper">
	<div id="main-content" class="container">	
		<div class="margin">
			<div id="main-col">
				<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>	
                    <div id="single-post">	
                        <div class="post-meta">
                            <p><?php _e( 'Posted on', PRIMA_DOMAIN ); ?> <?php the_time(__( 'F j, Y', PRIMA_DOMAIN )); ?></p>
                        </div>
						<?php if(has_post_thumbnail()) { ?>
                        <?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'large'); ?>
                        <a rel="prettyPhoto" href="<?php echo $large_image_url[0]; ?>" title="<?php the_title_attribute(); ?>" class="large-blog-image"><?php the_post_thumbnail( 'blog' ); ?></a>
                        <?php } ?>	
                        <div class="post-content">
							<?php the_content(); ?>
                        </div>
						<?php wp_link_pages( array( 'before' => '' . __( 'Pages:', PRIMA_DOMAIN ), 'after' => '' ) ); ?>
                        <?php edit_post_link( __( 'Edit', PRIMA_DOMAIN ), '', '' ); ?>
                    </div>
					<?php comments_template( '', true ); ?>
				<?php endwhile; ?>
			</div>
			<div id="sidebar">
				<div class="sidebar-inner">
					<?php get_sidebar(); ?>
				</div>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>