<?php
/**
 * Template Name: Slideshow
 */
get_header();
?>

<div id="header-wrapper">
	<?php get_template_part( 'flexi-header' ); ?>
    <div id="leader" class="container">
        <div class="margin clearfix">
			<?php 
            global $post; 
            $attachments = get_children( array( 'post_parent' => $post->ID, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image') );
            if ( !empty($attachments) ) {
                $i=0;
                $slideshow = '';
                foreach ( $attachments as $id => $attachment ) {
                    list($src) = wp_get_attachment_image_src($id,'promotion');
                    $url =  $attachment->post_content ? esc_url($attachment->post_content) : '';
                    $slideshow .= '<li class="promotion"><div class="promotion-header" style="text-align:center;">';
                    if($url) $slideshow .= '<a href="'.$url.'" >';
                    $slideshow .= '<img src="'.$src.'" alt="'.esc_attr($attachment->post_title).'"/>';
                    if($url) $slideshow .= '</a>';
                    $slideshow .= '</div></li>';
                }
            }
			?>
			<?php if ($slideshow) : ?>
                <div id="featured-slider">
                    <div id="feature-wrapper">
                    <div id="features">
                        <ul class="feature-list">
							<?php echo $slideshow; ?>
                        </ul>
                    </div>
                    <!-- <div class="feature-nav">
                        <a href="#" class="previous">Previous</a>
                        <a href="#" class="next">Next</a>
                    </div> -->
                    </div>
                </div>
                <div id="slider-controls"></div>
			<?php endif; ?>
        </div>
    </div>
</div>

<div id="content-wrapper">
	<div id="main-content" class="container">	
		<div class="margin">
			<div id="main-col">
				<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

							<?php the_content(); ?>
							<?php wp_link_pages( array( 'before' => '' . __( 'Pages:', PRIMA_DOMAIN ), 'after' => '' ) ); ?>
							<?php edit_post_link( __( 'Edit', PRIMA_DOMAIN ), '', '' ); ?>
	
				<?php endwhile; ?>
			</div>
			<div id="sidebar">
				<div class="sidebar-inner">
					<?php get_sidebar(); ?>
				</div>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>